#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

package require tls

proc getPassword {} {
    return "testing"
}

proc wait4Prompt {channel prompt} {
  set rtn ""
  while {[string first $prompt [set line [gets $channel]]] != 0} {
      if {[eof $channel]} {error "CLOSED" "Channel Closed"}
      append rtn "$line\n"
  }
  return $rtn
}

set port		5000
set host		localhost
set certDir		./SimpleCA28/certificates

set setup {
  package require base64
}

set s [tls::socket -password getPassword \
   -keyfile $certDir/clif@noucorp.com.key \
   -certfile $certDir/../1000.pem \
   -cafile $certDir/../rootca.pem \
   -request true -require true $host $port]

fconfigure $s -buffering line
wait4Prompt $s Ready

puts $s $setup
wait4Prompt $s Ready

puts $s [list base64::encode "This is a test message."]
set rply [wait4Prompt $s Ready]

puts "The reply is: $rply"

